#!/usr/bin/env python

# stdhome
#
# Copyright (C) 2013 Tim Marston <tim@edm.am>
#
# This file is part of stdhome (hereafter referred to as "this program").
# See http://ed.am/dev/stdhome for more information.
#
# This program is free software: you can redistribute it and/or modify
# it under the terms of the GNU General Public License as published by
# the Free Software Foundation, either version 3 of the License, or
# (at your option) any later version.
#
# This program is distributed in the hope that it will be useful,
# but WITHOUT ANY WARRANTY; without even the implied warranty of
# MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
# GNU General Public License for more details.
#
# You should have received a copy of the GNU General Public License
# along with this program.  If not, see <http://www.gnu.org/licenses/>.


# @PACKAGE_NAME@ version @PACKAGE_VERSION@


if __name__ == "__main__":

	import sys
	from os.path import join, abspath, exists

	# check for a development source directory and use that if it's there
	PACKAGE_DIR = join( abspath( sys.path[ 0 ] ), "..", "lib" )
	if exists( join( PACKAGE_DIR, "stdhome", "the.py" ) ):
		print >> sys.stderr, "!!! using development packages !!!"
		sys.path.insert( 0, PACKAGE_DIR )
	else:
		del PACKAGE_DIR

	# start main program
	from stdhome import the
	from stdhome.program import Program
	the.program = Program( "@PACKAGE_VERSION@" )
	the.program.run()
